@echo off

rem  Copyright 2007 Steve Lee. All rights reserved.
rem
rem  This file is part of ClipTalk and is distributable under the BSD license.
rem  See the file LICENSE.txt provided with this software.

rem !!! important instructions
rem
rem To build you will need the following Windows hosted development tools
rem
rem  1: python 2.4 or later. python.org
rem  2: pywin32 python extensions for windows. sourceforge.net/projects/pywin32/
rem  3: wxPython gui toolkit. www.wxpython.org/ 
rem  3: py2exe setup extension. http://www.py2exe.org/
rem  4: optionally, inno setup. www.jrsoftware.org
rem

rem Create Python installer exe
rem Clean up first to force complete rebuild - optional
del /q *.pyc 2> nul:
rd /s/q build 2> nul:
rd /s/q dist 2> nul:
setup.py py2exe
if errorlevel 1 goto error

rem run py2exe created setup
rem dist\cliptalk.exe

if (%1) == (noiss) goto OK

rem Create Windows Setup Installer
rem May need to edit path
rem for GUI use  "C:\Program Files\Inno Setup 5\compil32" /cc "Installer\PowerTalk.iss"
"C:\Program Files\Inno Setup 5\iscc" "Installer\ClipTalk.iss"
if errorlevel 1 goto error

rem run installer
"Installer\Output\cliptalk-0.1.0.exe"

goto OK

:error
echo.
echo Whoops, an error occured
echo.

:ok