[Setup]
AppName=ClipTalk
AppVerName=ClipTalk 0.1.0
OutputBaseFilename=cliptalk-0.1.0
AppVersion=0.1.0
AppPublisher=Full Measure
AppPublisherURL=fullmeasure.co.uk
AppSupportURL=fullmeasure.co.uk
AppUpdatesURL=fullmeasure.co.uk
DefaultGroupName=ClipTalk
LicenseFile=..\LICENSE.txt
DefaultDirName={pf}\ClipTalk
Compression=lzma/max

[Files]
; using *.* should copy *this* file too but looks Inno like is clever enough not to include it in the Output folder
Source: "..\dist\*.*"; DestDir: "{app}"; Flags: recursesubdirs ignoreversion

[Icons]
Name: "{group}\ClipTalk"; Filename: "{app}\ClipTalk.exe"; WorkingDir: "{userdocs}"; Comment: "Launch ClipTalk"
Name: "{group}\ReadMe"; Filename: "{app}\README.txt"; Comment: "View the ReadMe file"
Name: "{group}\Full Measure website"; Filename: "http://fullmeasure.co.uk/"; Comment: "Visit the Full Measure web site"
Name: "{userdesktop}\ClipTalk"; Filename: "{app}\ClipTalk.exe"; WorkingDir: "{userdocs}"; Comment: "Launch ClipTalk";

[Run]
Filename: "{app}\ClipTalk.exe"; Description: "Launch ClipTalk"; Flags: shellexec postinstall skipifsilent

